Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#75005 - [cups] "backend failed" - coredump

Attached to Project: Arch Linux
Opened by Gaelic (gaelic) - Thursday, 09 June 2022, 08:18 GMT
Last edited by Andreas Radke (AndyRTR) - Thursday, 09 June 2022, 17:29 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andreas Radke (AndyRTR)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

With my ipp network printer (via https protocol) i get a coredump since the upgrade to 2.4.2

Additional info:
* package version(s)

1:2.4.2-1

* config and/or log files etc.

--- printer config ---
# Printer configuration file for CUPS v2.4.1
# Written by cupsd
# DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
NextPrinterId 7
<Printer bokuprint-color>
PrinterId 6
UUID urn:uuid:53faefae-13df-3486-4898-73e8c6b6943a
AuthInfoRequired username,password
Info bokuprint-color
MakeModel KONICA MINOLTA C364SeriesPS(P)
DeviceURI https://xxx.xxx/ipp/bokuprint-color
State Idle
StateTime 1654762068
ConfigTime 1654757137
Type 8401100
Accepting Yes
Shared Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>

---
* link to upstream bug report, if any

Steps to reproduce:

Upgrade to 1:2.4.2-1 leads to this error, a downgrade of libcups and cups to the previous version (1:2.4.1-1) resolves it.
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Thursday, 09 June 2022, 17:29 GMT
Reason for closing:  Fixed
Additional comments about closing:  2.4.2-2
Comment by Gaelic (gaelic) - Thursday, 09 June 2022, 09:10 GMT
I have found an upstream bug; it is already resolved and should be included in the next update

https://github.com/OpenPrinting/cups/issues/409

Comment by Andreas Radke (AndyRTR) - Thursday, 09 June 2022, 10:19 GMT
Please try a rebuild with the patch:
https://github.com/OpenPrinting/cups/commit/c0c403744b1bf4a9790a8fcaabcd60970cbefe06.patch

We don't use openssl, only gnutls in Arch but maybe the crash happens there as well.
Comment by Gaelic (gaelic) - Thursday, 09 June 2022, 11:34 GMT
Hello.

I've modified the PKGBUILD and added the patch, works well here.
   PKGBUILD (6.6 KiB)

Loading...